## saoimage 1.19

=== Makefile ===
#  Makefile for testpos.c and worldpos.c 
#  Copyright (C) 1994
#  Associated Universities, Inc. Washington DC, USA.
# 
#  This library is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Library General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or (at your
#  option) any later version.
# 
#  This library is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
#  License for more details.
# 
#  You should have received a copy of the GNU Library General Public License
#  along with this library; if not, write to the Free Software Foundation,
#  Inc., 675 Massachusetts Ave, Cambridge, MA 02139, USA.
# 
#  Correspondence concerning AIPS should be addressed as follows:
#         Internet email: aipsmail@nrao.edu
#         Postal address: AIPS Group
#                         National Radio Astronomy Observatory
#                         520 Edgemont Road
#                         Charlottesville, VA 22903-2475 USA

# Substitute your favorite ANSI-C compiler (e.g., 'acc' for Suns):
#CC =	gcc -pedantic -lm
CC  =	acc

all:	runtest

worldpos.o:	worldpos.c
	${CC} -c worldpos.c

testpos:	worldpos.o testpos.c
	${CC}  testpos.c worldpos.o -o ${@}

testpos.out:	testpos
	testpos > ${@}

runtest:	testpos.out
	more testpos.out
	@echo " "
	@echo "Compare test run to reference output (if present):"
	-if [ -f testpos.ref ] ;then diff testpos.out testpos.ref ; fi

ITEMS   = worldpos.c testpos.c testpos.ref COPYING.LIB-2.0 Makefile
PACKAGE = worldpos.tar
ANONFTP = /fits_1/ftp/fits/src/wcs/

export:	testpos.out
	rm -Rf worldpos
	mkdir worldpos
	cp -p testpos.out testpos.ref
	cp -p ${ITEMS} worldpos
	rm -f ${PACKAGE}* testpos.ref
	tar cf ${PACKAGE} worldpos
	rm -Rf worldpos
	tar tvf ${PACKAGE}
	gzip ${PACKAGE}
	ls -lg ${PACKAGE}.gz
	cp -p ${PACKAGE}.gz ${ANONFTP}
	ls -lg ${ANONFTP}

clean:	
	rm -f *~ core *.o testpos testpos.out \
		${PACKAGE}* ${ANONFTP}${PACKAGE}.gz
	rm -Rf worldpos

LIST	= testpos.out Makefile testpos.c worldpos.c

print:	${LIST}
	# substitute your favorite print utility for 'lwf.sh':
	lwf.sh ${LIST}

## saoimage 1.26

=== wcssubs-2.6/Makefile ===
OBJS =  wcsinit.o wcs.o wcscon.o slasubs.o fitsfile.o imhfile.o \
	hget.o hput.o iget.o imio.o worldpos.o tnxpos.o dsspos.o platepos.o \
        wcslib.o lin.o cel.o proj.o sph.o wcstrig.o 

libwcs.a:	$(OBJS)
	ar rv $@ $?
	ranlib $@

cel.o:		wcslib.h
fitsfile.o:	fitsfile.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imhfile.o:	fitsfile.h
imio.o:		fitshead.h
lin.o:		wcslib.h
platepos.o:	wcs.h
proj.o:		wcslib.h
sph.o:		wcslib.h
tnxpos.o:	wcs.h
wcs.o:		fitshead.h wcs.h
wcsinit.o:	fitshead.h wcs.h
wcscon.o:	wcs.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
worldpos.o:	wcs.h
cel.h:		wcslib.h
fitsfile.h:	fitshead.h imio.h
proj.h:		wcslib.h
wcs.h:		wcslib.h fitshead.h

## saoimage 1.29.3-1

=== wcssubs-2.9.3/Makefile ===
OBJS =  wcsinit.o wcs.o wcscon.o slasubs.o fitsfile.o imhfile.o \
	hget.o hput.o iget.o imio.o worldpos.o tnxpos.o dsspos.o platepos.o \
        wcslib.o lin.o cel.o proj.o sph.o wcstrig.o dateutil.o

libwcs.a:	$(OBJS)
	ar rv $@ $?
	ranlib $@

cel.o:		wcslib.h
fitsfile.o:	fitsfile.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imhfile.o:	fitsfile.h
imio.o:		fitshead.h
lin.o:		wcslib.h
platepos.o:	wcs.h
proj.o:		wcslib.h
sph.o:		wcslib.h
tnxpos.o:	wcs.h
wcs.o:		fitshead.h wcs.h
wcsinit.o:	fitshead.h wcs.h
wcscon.o:	wcs.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
worldpos.o:	wcs.h
dateutil.o:	fitsfile.h
cel.h:		wcslib.h
fitsfile.h:	fitshead.h imio.h
proj.h:		wcslib.h
wcs.h:		wcslib.h fitshead.h

=== debian/changelog ===
saoimage (1.29.3-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed, 25 Apr 2001 10:05:24 +0200

saoimage (1.29.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed #74963 (compiled with FITS support)
  * Fixed #78778 (compiled with IRAF imtool support)

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Tue, 13 Mar 2001 10:57:46 +0100

saoimage (1.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Sun,  3 Sep 2000 18:55:58 +0100

saoimage (1.27.2-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Mon, 19 Jun 2000 12:11:21 +0100

saoimage (1.26.10-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Tue,  8 feb 2000 17:36:10 +0000

saoimage (1.26-2) unstable; urgency=low

  * Documentation moved (FHS compliant).

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed,  5 Nov 1999 00:18:27 +0000

saoimage (1.26-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed, 02 Jun 1999 12:15:57 +0100

saoimage (1.25-2) unstable; urgency=low

  * Menu file added
  * Binary 'saoimage' moved from /usr/bin to /usr/bin/X11.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Fry, 29 Jan 1999 16:16:15 +0000

saoimage (1.25-1) unstable; urgency=low

  * New upstream release.
  * Bug #16928 seem be fixed.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Thu, 26 Jan 1999 15:00:27 +0000

saoimage (1.24-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Thu, 24 Sep 1998 20:13:35 +0100

saoimage (1.19-2) unstable; urgency=low

  * Moved imtoolrc to /etc/saoimage.

 -- Karl Sackett <krs@debian.org>  Wed, 30 Oct 1996 07:32:51 -0600

saoimage (1.19-1) unstable; urgency=low

  * New upstream release.
  * Package converted to 2.1.1.0 standards.

 -- Karl Sackett <krs@debian.org>  Tue, 29 Oct 1996 14:03:24 -0600

1.18-2
        * support files now architecture-independent (fixes bug #4108)
1.18-1
        * Upgrade to latest release
1.17-4
        * Added 'Section', 'Architecture' lines to debian.control
        * debian.rules now adds architecture extension to files

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: saoimage
Section: misc
Priority: optional
Maintainer:  Tinguaro Barreno Delgado <tbarreno@debian.org>
Standards-Version: 3.5.3.0

Package: saoimage
Architecture: any
Depends: ${shlibs:Depends}
Description: A utility for displaying and processing astronomical images.
 SAOimage (pronounced S-A-0-image) is a utility for displaying astronomical
 images wich runs under the X11 window environment.  Image files can be read
 directly, or image data may be passed through a named pipe (Unix) or a
 mailbox (VMS) from IRAF display tasks.  SAOimage provides a large selection
 of options for zooming, panning, scaling, coloring, pixel readback, display
 blinking, and region specification.  User interactions are generally
 performed with the mouse.
 .
 Capability of reading IRAF 2.11 .imh files added.

=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
OFLAGS = -O2
LDFLAGS =

IMTRCDIR = /etc/saoimage/
MFLAGS = -DSYSV -DPSCRIPT -DMIRIAD -D__EMX__

SHELL = /bin/sh
srcdir = .

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root
INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root

config:
	$(checkdir)
	touch stamp-config

build:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	make -f makefile.linux saoimage \
	  CC="$(CC)" OFLAGS="$(OFLAGS)" IMTRCDIR="$(IMTRCDIR)" \
	  MFLAGS="$(MFLAGS)"
	( cd doc && dvips manual.dvi -o manual.ps && dvips scale.dvi -o scale.ps )
	touch stamp-build

clean:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	-( cd doc && rm -f *.ps )
	-make -f makefile.linux clean
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp*
	test -f stamp-build || make -f debian/rules build
#
#
# debian/tmp
	$(INSTALL_DIR)  debian/tmp
	$(INSTALL_DIR)  debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postinst debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postrm debian/tmp/DEBIAN
	$(INSTALL_DATA) debian/conffiles debian/tmp/DEBIAN
# binaries
	$(INSTALL_DIR)  debian/tmp/usr/bin
	$(INSTALL_PROGRAM) -s saoimage debian/tmp/usr/bin
# libraries
	$(INSTALL_DIR)  debian/tmp/usr/lib/saoimage
# configuration
	$(INSTALL_DIR)  debian/tmp/etc/saoimage
	$(INSTALL_DATA) imtoolrc debian/tmp/etc/saoimage
# man pages
	$(INSTALL_DIR)  debian/tmp/usr/share/man/man1
	$(INSTALL_DATA)	doc/saoimage.man \
	                debian/tmp/usr/share/man/man1/saoimage.1
	-gzip -9fr debian/tmp/usr/share/man
# documentation
	$(INSTALL_DIR)  debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) debian/TODO debian/tmp/usr/share/doc/TODO.Debian
	$(INSTALL_DATA) debian/changelog \
	                debian/tmp/usr/share/doc/saoimage/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/saoimage/changelog.Debian
# menu file
	$(INSTALL_DIR)  debian/tmp/usr/lib/menu
	$(INSTALL_DATA) debian/saoimage debian/tmp/usr/lib/menu
#
	$(INSTALL_DATA) README         debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) NEWS           debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/*.txt      debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/color.code debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/*.ps       debian/tmp/usr/share/doc/saoimage
	gzip -9 debian/tmp/usr/share/doc/saoimage/*.txt
	gzip -9 debian/tmp/usr/share/doc/saoimage/*.ps
#
# build the package
	dpkg-shlibdeps saoimage
	dpkg-gencontrol  -isp -psaoimage -Pdebian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f maininit.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep

## saoimage 1.35.1

=== wcssubs-3.5.1/Makefile ===
OBJS =  wcsinit.o wcs.o wcscon.o slasubs.o fitsfile.o imhfile.o \
	hget.o hput.o iget.o imio.o worldpos.o tnxpos.o dsspos.o platepos.o \
        wcslib.o lin.o cel.o proj.o sph.o wcstrig.o dateutil.o distort.o

libwcs.a:	$(OBJS)
	ar rv $@ $?
	ranlib $@

cel.o:		wcslib.h
distort.o:	wcs.h fitshead.h wcslib.h
fitsfile.o:	fitsfile.h fitshead.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imhfile.o:	fitsfile.h fitshead.h
imio.o:		fitshead.h
lin.o:		wcslib.h
platepos.o:	wcs.h fitshead.h wcslib.h
proj.o:		wcslib.h
sph.o:		wcslib.h
tnxpos.o:	wcs.h fitshead.h wcslib.h
wcs.o:		wcs.h fitshead.h wcslib.h
wcsinit.o:	wcs.h fitshead.h wcslib.h
wcscon.o:	wcs.h fitshead.h wcslib.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
worldpos.o:	wcs.h fitshead.h wcslib.h
dateutil.o:	fitsfile.h fitshead.h
fileutil.o:	fitsfile.h
